# IEx2DExportFilter Struct Reference

Inheritance diagram for IEx2DExportFilter:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | Save (IMCFile *file, IShRasterLayer *rasterLayer, boolean chunky, const TGBuffer32List *gBuffers, const TPSOptions *psPluginOptions, boolean displayOptions)=0
virtual MCCOMErr MCCOMAPI | Save (IMCFile *file, IShLayerList *layerList, boolean chunky, const TGBuffer32List *gBuffers, const TPSOptions *psPluginOptions, boolean displayOptions)=0
virtual void MCCOMAPI | GetCapabilities (ImageExportCapabilities &capabitilities, const TPSOptions *psPluginOptions)=0
virtual MCCOMErr MCCOMAPI | ShowOptions (boolean alphaChannel, int32 numExtraPlanes, TPSOptions &psPluginOptions)=0
virtual boolean MCCOMAPI | NeedOptions ()=0

## Member Function Documentation

virtual void MCCOMAPI IEx2DExportFilter::GetCapabilities | ( | ImageExportCapabilities & | capabitilities,
|  | const TPSOptions * | psPluginOptions |
| ) |  |  | `[pure virtual]`

Returns which buffers can be saved with this file format

Parameters:

  | capabitilities | Flags that are returned.
  | psPluginOptions | Plugin options

virtual boolean MCCOMAPI IEx2DExportFilter::NeedOptions | ( |  | ) | `[pure virtual]`

Returns true if the export filter needs options

virtual MCCOMErr MCCOMAPI IEx2DExportFilter::Save | ( | IMCFile * | file,
|  | IShLayerList * | layerList,
|  | boolean | chunky,
|  | const TGBuffer32List * | gBuffers,
|  | const TPSOptions * | psPluginOptions,
|  | boolean | displayOptions |
| ) |  |  | `[pure virtual]`

Saves an layer image to a file.

Parameters:

  | file | The file where the image should be written.
  | layerList | The layer list.
  | chunky | True if the image is stored in chunky format, false if it is plannar
  | gBuffers | Pointers to a description of the GBuffers, NULL if there is no GBuffers to save
  | psPluginOptions | Optional options for photoshop plugins (this should disappear in the future)
  | displayOptions | If true will ask the user for the save options.

virtual boolean MCCOMAPI IEx2DExportFilter::Save | ( | IMCFile * | file,
|  | IShRasterLayer * | rasterLayer,
|  | boolean | chunky,
|  | const TGBuffer32List * | gBuffers,
|  | const TPSOptions * | psPluginOptions,
|  | boolean | displayOptions |
| ) |  |  | `[pure virtual]`

Saves an image to a file.

Parameters:

  | file | The file where the image should be written.
  | rasterLayer | The image.
  | chunky | True if the image is stored in chunky format, false if it is plannar
  | gBuffers | Pointers to a description of the GBuffers, NULL if there is no GBuffers to save
  | psPluginOptions | Optional options for photoshop plugins (this should disappear in the future)
  | displayOptions | If true will ask the user for the save options.

virtual MCCOMErr MCCOMAPI IEx2DExportFilter::ShowOptions | ( | boolean | alphaChannel,
|  | int32 | numExtraPlanes,
|  | TPSOptions & | psPluginOptions |
| ) |  |  | `[pure virtual]`

Show the option dialog

Parameters:

  | alphaChannel | True of the image has alpha channel
  | numExtraPlanes | Number of extra plane in the image
  | psPluginOptions | Output

The documentation for this struct was generated from the following file:

- IEx2DExportFilter.h